package com.persagy.server.syn.models.api.obj

import com.alibaba.fastjson.JSONObject
import com.persagy.base.utils.SHttpUtil
import com.persagy.server.syn.Opts
import com.persagy.server.syn.models.obj.MiddleGroundDataRespose
import com.persagy.service.utils.SSpringContextUtil

/**
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/10/19 17:50
 */
object EquipApi {
    /** 配置实例 */
    private val opts: Opts by lazy {
        SSpringContextUtil.getBean(Opts::class.java) as Opts
    } // opts
    /**
     * 获取中台设备数据
     */
    fun equipSynApi(projectId: String,page: Int): MiddleGroundDataRespose{
        val url = "${opts.dataPlatform}/instance/object/query?projectId=${projectId}"
        val jsonObject = JSONObject()
        val jsonObject2 = JSONObject()
        jsonObject2["objType"] = "equipment"
        jsonObject2["valid"] = 1
        jsonObject["criteria"] = jsonObject2
        jsonObject["page"] = page
        jsonObject["size"] = 1000
        val postObject = SHttpUtil.postObject<MiddleGroundDataRespose>(url, jsonObject)
        if (postObject.result == "success"&&!postObject.data.isNullOrEmpty()) {
            return postObject
        }
        return postObject
    }

}